Manual do PHP
Anterior | Capítulo 5. Instalação no Mac OS X | Próxima

# Compilando para o Mac OS X - Versão Servidor

Instalação para o Servidor Mac OS X.

1. Pegue a última distribuição do Apache e PHP.

2. Expanda o arquiv tar, e execute o programa configure do Apache dessa maneira (modifique para conformar com suas necessidades).

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache

3. Se você quiser que o compilador faça alguma otimização, você pode também querer adicionar essa linha:

       setenv OPTIM=-O2

4. Depois, vá para o diretório onde os fontes do PHP 4 estão e rode o configure.

       ./configure --prefix=/usr \
           --sysconfdir=/etc \
           --localstatedir=/var \
           --mandir=/usr/share/man \
           --with-xml \
           --with-apache=/src/apache_1.3.12

   Se você quiser qualquer outra extensão (MySQL, GD, etc.), adicione a opção a esse comando. Para a opção `--with-apache`, coloque o caminho do diretório dos fontes do Apache, por exemplo `/src/apache_1.3.12`.

5. Digite make e make install. Isso irá adicionar um diretório para nos fontes do Apache em `src/modules/php4`.

6. Agora, reconfigure o Apache para montar junto com o PHP 4.

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache \
       --activate-module=src/modules/php4/libphp4.a

   Você pode receber uma mensagem dizendo que `libmodphp4.a` está desatualizado. Se isso acontecer, vá para do diretório `src/modules/php4` dentro do diretório dos fontes do Apache e execute o comando: ranlib libmodphp4.a. Depois volte para o diretório raiz dos fontes do Apache e execute o comando configure acima novamente. Isso fará a tabela de links ser atualizada. Execute make e make install novamente.

7. Copie e renomei o arquivo `php.ini-dist` que está no diretório dos fontes do PHP para o seu diretório `bin`: `cp php.ini-dist /usr/local/bin/php.ini` ou (se você não tiver um diretório local) `cp php.ini-dist /usr/bin/php.ini`.

Anterior | Principal | Próxima
Using the bundled PHP | Acima | Compilando para o MacOS X - Versão Cliente